import{s as ye,o as He}from"../chunks/scheduler.f7e1785c.js";import{S as Pe,i as we,g as l,s as a,r as k,A as Se,h as i,f as s,c as u,j as Me,u as A,x as d,k as ae,y as ke,a as n,v as j,d as E,t as I,w as z,m as ie,n as de}from"../chunks/index.9f8f0838.js";import{T as le}from"../chunks/Tip.4575d9cf.js";import{H as ue}from"../chunks/Heading.6643a2f7.js";function Ae(m){let r;return{c(){r=ie("💡 Il est courant que ces modèles seq2seq utilisent des spectrogrammes comme entrée. Cependant, un modèle seq2seq peut également être conçu pour fonctionner directement sur les formes d'onde audio.")},l(o){r=de(o,"💡 Il est courant que ces modèles seq2seq utilisent des spectrogrammes comme entrée. Cependant, un modèle seq2seq peut également être conçu pour fonctionner directement sur les formes d'onde audio.")},m(o,c){n(o,r,c)},d(o){o&&s(r)}}}function je(m){let r;return{c(){r=ie("💡 Alors qu'un modèle avec CTC produit une séquence de caractères individuels, les *tokens* prédits par Whisper sont des mots complets ou des portions de mots. Il utilise le tokenizer de GPT-2 et dispose d’environ 50 000 *tokens* uniques. Un modèle seq2seq peut donc produire une séquence beaucoup plus courte qu'un modèle CTC pour la même transcription.")},l(o){r=de(o,"💡 Alors qu'un modèle avec CTC produit une séquence de caractères individuels, les *tokens* prédits par Whisper sont des mots complets ou des portions de mots. Il utilise le tokenizer de GPT-2 et dispose d’environ 50 000 *tokens* uniques. Un modèle seq2seq peut donc produire une séquence beaucoup plus courte qu'un modèle CTC pour la même transcription.")},m(o,c){n(o,r,c)},d(o){o&&s(r)}}}function Ee(m){let r;return{c(){r=ie("💡 Rappelons qu'un spectrogramme est fabriqué en prenant le spectre de fréquences de tranches de temps successives d'une forme d'onde audio et en les empilant ensemble. En d'autres termes, un spectrogramme est une séquence où les éléments sont des spectres de fréquence (log-mel), un pour chaque pas de temps.")},l(o){r=de(o,"💡 Rappelons qu'un spectrogramme est fabriqué en prenant le spectre de fréquences de tranches de temps successives d'une forme d'onde audio et en les empilant ensemble. En d'autres termes, un spectrogramme est une séquence où les éléments sont des spectres de fréquence (log-mel), un pour chaque pas de temps.")},m(o,c){n(o,r,c)},d(o){o&&s(r)}}}function Ie(m){let r,o,c,R,h,W,$,ce=`Les modèles avec CTC abordés dans la section précédente utilisent uniquement la partie encodeur du <em>transformer</em>. Lorsque nous ajoutons également le décodeur pour créer un modèle encodeur-décodeur, on parle alors de modèle <strong>séquence à séquence</strong> ou seq2seq en abrégé. Le modèle essocie une séquence d’un type de données à une séquence d’un autre type de données.
Avec les <em>transformers</em> encodeur, l’encodeur fait une prédiction pour chaque élément de la séquence d’entrée. Par conséquent, les séquences d’entrée et de sortie auront toujours la même longueur. Dans le cas de modèles avec CTC tels que Wav2Vec2, la forme d’onde d’entrée est d’abord sous-échantillonnée, mais il y a toujours une prédiction pour chaque 20 ms d’audio.
Avec un modèle seq2seq, il n’y a pas une telle correspondance un-à-un et les séquences d’entrée et de sortie peuvent avoir des longueurs différentes. Cela rend les modèles seq2seq adaptés aux tâches de NLP telles que le résumé de texte ou la traduction entre différentes langues, mais aussi aux tâches audio telles que la reconnaissance vocale.
L’architecture d’un décodeur est très similaire à celle d’un encodeur, et les deux utilisent des couches similaires avec l’auto-attention comme caractéristique principale. Toutefois, le décodeur effectue une tâche différente de celle de l’encodeur. Pour voir comment cela fonctionne, examinons comment un modèle seq2seq peut effectuer une reconnaissance automatique de la parole.`,U,x,O,C,me='L’architecture de <strong>Whisper</strong> est la suivante (figure provenant du blog d’<a href="https://openai.com/blog/whisper/" rel="nofollow">OpenAI</a>) :',V,p,pe='<img src="https://huggingface.co/blog/assets/111_fine_tune_whisper/whisper_architecture.svg" alt="Whisper is a transformer encoder-decoder model"/>',G,T,fe="Cela devrait vous sembler assez familier. Sur la gauche se trouve l’<strong>encodeur du <em>transformer</em></strong>. Il prend comme entrée un spectrogramme log-mel et encode ce spectrogramme pour former une séquence d’états cachés de l’encodeur qui extraient des caractéristiques importantes de la parole. Ce tenseur à états cachés représente la séquence d’entrée dans son ensemble et code efficacement le « sens » du discours d’entrée.",N,f,B,_,qe=`La sortie de l’encodeur est ensuite passée dans le <strong>décodeur du <em>transformer</em></strong>, illustré à droite, à l’aide d’un mécanisme d’<strong>attention croisée</strong>. C’est comme l’auto-attention, mais assiste la sortie de l’encodeur. À partir de ce moment, l’encodeur n’est plus nécessaire.
Le décodeur prédit une séquence de <em>tokens</em> de texte de manière <strong>autorégressive</strong>, un seul <em>token</em> à la fois, à partir d’une séquence initiale qui contient juste un <em>token</em> « start » (<code>SOT</code> dans le cas de Whisper). À chaque pas de temps suivant, la séquence de sortie précédente est réintroduite dans le décodeur en tant que nouvelle séquence d’entrée. De cette manière, le décodeur émet un nouveau <em>token</em> à la fois, augmentant régulièrement la séquence de sortie, jusqu’à ce qu’il prédise qu’un <em>token</em> de fin ou un nombre maximum de pas de temps est atteint.
Alors que l’architecture du décodeur est en grande partie identique à celle de l’encodeur, il existe deux grandes différences:`,F,L,ge=`<li>Le décodeur a un mécanisme d’attention croisée qui lui permet de regarder la représentation de l’encodeur de la séquence d’entrée</li> <li>L’attention du décodeur est causale : le décodeur n’est pas autorisé à regarder vers l’avenir.
Dans cette conception, le décodeur joue le rôle d’un <strong>modèle de langage</strong>, traitant les représentations à l’état caché de l’encodeur et générant les transcriptions de texte correspondantes. Il s’agit d’une approche plus puissante que la CTC (même si la CTC est combinée avec un modèle de langage externe), car le système seq2seq peut être entraîné de bout en bout avec les mêmes données d’apprentissage et la même fonction de perte, offrant une plus grande flexibilité et des performances généralement supérieures.</li>`,J,q,K,b,ve='Une fonction de perte typique pour un modèle d’ASR seq2seq est la perte d’entropie croisée car la dernière couche du modèle prédit une distribution de probabilité sur les <em>tokens</em> possibles. Ceci est généralement combiné avec des techniques telles que <a href="https://huggingface.co/blog/how-to-generate" rel="nofollow">recherche en faisceau pour générer la séquence finale</a>. La métrique de la reconnaissance vocale est le WER (<em>word error rate</em>) ou taux d’erreur de mots, qui mesure le nombre de substitutions, d’insertions et de suppressions nécessaires pour transformer le texte prédit en texte cible. Moins il y en a, meilleur est le score.',Q,M,X,y,he="Cela ne vous surprendra peut-être pas : un modèle seq2seq pour la synthèse vocale fonctionne essentiellement de la même manière que décrit ci-dessus, mais avec les entrées et les sorties inversées ! L’encodeur du <em>transformer</em> prend une séquence de <em>tokens</em> de texte et extrait une séquence d’états masqués qui représentent le texte d’entrée. Le décodeur du <em>transformer</em> applique une attention croisée à la sortie de l’encodeur et prédit un spectrogramme.",Y,g,Z,H,$e="Avec le modèle d’ASR, le décodeur a été démarré à l’aide d’une séquence qui contient simplement le <em>token</em> spécial « start ». Pour le modèle de synthèse vocale, on peut commencer le décodage avec un spectrogramme de longueur 1 et rempli de 0 qui agit comme le « <em>token</em> de départ ». Compte tenu de ce spectrogramme initial et des attentions croisées sur les représentations à l’état caché de l’encodeur, le décodeur prédit ensuite la prochaine tranche de temps pour ce spectrogramme, augmentant régulièrement le spectrogramme un pas de temps à la fois.",ee,v,xe='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/speecht5_decoding.png" alt="The audio waveform gets mapped to a shorter sequence of hidden-states"/>',te,P,Ce=`Mais comment le décodeur sait-il quand s’arrêter ? Dans le modèle <strong>SpeechT5</strong>, cela est géré en faisant prédire au décodeur une deuxième séquence. Il contient la probabilité que le pas de temps actuel soit le dernier. Lors de la génération audio au moment de l’inférence, si cette probabilité dépasse un certain seuil (disons 0,5), le décodeur indique que le spectrogramme est terminé et que la boucle de génération doit se terminer.
Une fois le décodage terminé et que nous avons une séquence de sortie contenant le spectrogramme, SpeechT5 utilise un <strong>post-net</strong> qui est composé de plusieurs couches de convolution pour affiner le spectrogramme.
Lors de l’entraînement du modèle de synthèse vocale, les cibles sont aussi des spectrogrammes et la perte est la L1 ou la MSE. Au moment de l’inférence, nous voulons convertir le spectrogramme de sortie en une forme d’onde audio afin que nous puissions réellement l’écouter. Pour cela, un modèle externe est utilisé, le <strong>vocodeur</strong>. Ce vocodeur ne fait pas partie de l’architecture seq2seq et est entraîné séparément.
Ce qui rend la synthèse vocale difficile, est qu’il s’agit d’une association un-à-plusieurs. Avec la reconnaissance de la parole, il n’y a qu’un seul texte de sortie correct correspondant au discours d’entrée, mais avec la synthèse vocale, le texte d’entrée peut être associé à de nombreux sons possibles. Différents orateurs peuvent choisir de mettre l’accent sur différentes parties de la phrase, par exemple. Cela rend les modèles de synthèse vocale difficiles à évaluer. Pour cette raison, la valeur de perte L1 ou MSE n’est pas vraiment significative : il existe plusieurs façons de représenter le même texte dans un spectrogramme. C’est pourquoi les modèles TTS sont généralement évalués par des auditeurs humains, en utilisant une métrique connue sous le nom de MOS (<em>mean opinion score</em>) ou score d’opinion moyen.`,se,w,ne,S,Te=`L’approche seq2seq est plus puissante qu’un modèle d’encodeur. En séparant l’encodage de la séquence d’entrée du décodage de la séquence de sortie, l’alignement de l’audio et du texte est moins problématique.  Le modèle apprend à effectuer cet alignement grâce au mécanisme d’attention.
Cependant, un modèle encodeur-décodeur est également plus lent car le processus de décodage se produit une étape à la fois, plutôt que tout à la fois. Plus la séquence est longue, plus la prédiction est lente. Les modèles autorégressifs peuvent également rester bloqués dans des répétitions ou sauter des mots. Des techniques telles que la recherche en faisceau peuvent aider à améliorer la qualité des prédictions, mais aussi ralentir encore plus le décodage.`,re,D,oe;return h=new ue({props:{title:"Architectures Seq2Seq",local:"architectures-seq2seq",headingTag:"h1"}}),x=new ue({props:{title:"Reconnaissance automatique de la parole",local:"reconnaissance-automatique-de-la-parole",headingTag:"h2"}}),f=new le({props:{$$slots:{default:[Ae]},$$scope:{ctx:m}}}),q=new le({props:{$$slots:{default:[je]},$$scope:{ctx:m}}}),M=new ue({props:{title:"Synthèse vocale",local:"synthèse-vocale",headingTag:"h2"}}),g=new le({props:{$$slots:{default:[Ee]},$$scope:{ctx:m}}}),w=new ue({props:{title:"Conclusion",local:"conclusion",headingTag:"h2"}}),{c(){r=l("meta"),o=a(),c=l("p"),R=a(),k(h.$$.fragment),W=a(),$=l("p"),$.innerHTML=ce,U=a(),k(x.$$.fragment),O=a(),C=l("p"),C.innerHTML=me,V=a(),p=l("div"),p.innerHTML=pe,G=a(),T=l("p"),T.innerHTML=fe,N=a(),k(f.$$.fragment),B=a(),_=l("p"),_.innerHTML=qe,F=a(),L=l("ol"),L.innerHTML=ge,J=a(),k(q.$$.fragment),K=a(),b=l("p"),b.innerHTML=ve,Q=a(),k(M.$$.fragment),X=a(),y=l("p"),y.innerHTML=he,Y=a(),k(g.$$.fragment),Z=a(),H=l("p"),H.innerHTML=$e,ee=a(),v=l("div"),v.innerHTML=xe,te=a(),P=l("p"),P.innerHTML=Ce,se=a(),k(w.$$.fragment),ne=a(),S=l("p"),S.textContent=Te,re=a(),D=l("p"),this.h()},l(e){const t=Se("svelte-u9bgzb",document.head);r=i(t,"META",{name:!0,content:!0}),t.forEach(s),o=u(e),c=i(e,"P",{}),Me(c).forEach(s),R=u(e),A(h.$$.fragment,e),W=u(e),$=i(e,"P",{"data-svelte-h":!0}),d($)!=="svelte-1uizh2k"&&($.innerHTML=ce),U=u(e),A(x.$$.fragment,e),O=u(e),C=i(e,"P",{"data-svelte-h":!0}),d(C)!=="svelte-13glvq2"&&(C.innerHTML=me),V=u(e),p=i(e,"DIV",{class:!0,"data-svelte-h":!0}),d(p)!=="svelte-1402zsk"&&(p.innerHTML=pe),G=u(e),T=i(e,"P",{"data-svelte-h":!0}),d(T)!=="svelte-1w933iz"&&(T.innerHTML=fe),N=u(e),A(f.$$.fragment,e),B=u(e),_=i(e,"P",{"data-svelte-h":!0}),d(_)!=="svelte-alze8h"&&(_.innerHTML=qe),F=u(e),L=i(e,"OL",{"data-svelte-h":!0}),d(L)!=="svelte-1mj5i09"&&(L.innerHTML=ge),J=u(e),A(q.$$.fragment,e),K=u(e),b=i(e,"P",{"data-svelte-h":!0}),d(b)!=="svelte-mjeihy"&&(b.innerHTML=ve),Q=u(e),A(M.$$.fragment,e),X=u(e),y=i(e,"P",{"data-svelte-h":!0}),d(y)!=="svelte-sgypc3"&&(y.innerHTML=he),Y=u(e),A(g.$$.fragment,e),Z=u(e),H=i(e,"P",{"data-svelte-h":!0}),d(H)!=="svelte-12ao7xs"&&(H.innerHTML=$e),ee=u(e),v=i(e,"DIV",{class:!0,"data-svelte-h":!0}),d(v)!=="svelte-1886deo"&&(v.innerHTML=xe),te=u(e),P=i(e,"P",{"data-svelte-h":!0}),d(P)!=="svelte-1v9h4f2"&&(P.innerHTML=Ce),se=u(e),A(w.$$.fragment,e),ne=u(e),S=i(e,"P",{"data-svelte-h":!0}),d(S)!=="svelte-1stqyyn"&&(S.textContent=Te),re=u(e),D=i(e,"P",{}),Me(D).forEach(s),this.h()},h(){ae(r,"name","hf:doc:metadata"),ae(r,"content",ze),ae(p,"class","flex justify-center"),ae(v,"class","flex justify-center")},m(e,t){ke(document.head,r),n(e,o,t),n(e,c,t),n(e,R,t),j(h,e,t),n(e,W,t),n(e,$,t),n(e,U,t),j(x,e,t),n(e,O,t),n(e,C,t),n(e,V,t),n(e,p,t),n(e,G,t),n(e,T,t),n(e,N,t),j(f,e,t),n(e,B,t),n(e,_,t),n(e,F,t),n(e,L,t),n(e,J,t),j(q,e,t),n(e,K,t),n(e,b,t),n(e,Q,t),j(M,e,t),n(e,X,t),n(e,y,t),n(e,Y,t),j(g,e,t),n(e,Z,t),n(e,H,t),n(e,ee,t),n(e,v,t),n(e,te,t),n(e,P,t),n(e,se,t),j(w,e,t),n(e,ne,t),n(e,S,t),n(e,re,t),n(e,D,t),oe=!0},p(e,[t]){const _e={};t&2&&(_e.$$scope={dirty:t,ctx:e}),f.$set(_e);const Le={};t&2&&(Le.$$scope={dirty:t,ctx:e}),q.$set(Le);const be={};t&2&&(be.$$scope={dirty:t,ctx:e}),g.$set(be)},i(e){oe||(E(h.$$.fragment,e),E(x.$$.fragment,e),E(f.$$.fragment,e),E(q.$$.fragment,e),E(M.$$.fragment,e),E(g.$$.fragment,e),E(w.$$.fragment,e),oe=!0)},o(e){I(h.$$.fragment,e),I(x.$$.fragment,e),I(f.$$.fragment,e),I(q.$$.fragment,e),I(M.$$.fragment,e),I(g.$$.fragment,e),I(w.$$.fragment,e),oe=!1},d(e){e&&(s(o),s(c),s(R),s(W),s($),s(U),s(O),s(C),s(V),s(p),s(G),s(T),s(N),s(B),s(_),s(F),s(L),s(J),s(K),s(b),s(Q),s(X),s(y),s(Y),s(Z),s(H),s(ee),s(v),s(te),s(P),s(se),s(ne),s(S),s(re),s(D)),s(r),z(h,e),z(x,e),z(f,e),z(q,e),z(M,e),z(g,e),z(w,e)}}}const ze='{"title":"Architectures Seq2Seq","local":"architectures-seq2seq","sections":[{"title":"Reconnaissance automatique de la parole","local":"reconnaissance-automatique-de-la-parole","sections":[],"depth":2},{"title":"Synthèse vocale","local":"synthèse-vocale","sections":[],"depth":2},{"title":"Conclusion","local":"conclusion","sections":[],"depth":2}],"depth":1}';function De(m){return He(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ve extends Pe{constructor(r){super(),we(this,r,De,Ie,ye,{})}}export{Ve as component};
