import{s as fe,n as he,o as me}from"../chunks/scheduler.f7e1785c.js";import{S as ue,i as re,g as i,s as d,r as p,A as Ce,h as s,f as l,c as a,j as oe,u as f,x as o,k as Gt,y as ge,a as n,v as h,d as m,t as u,w as r}from"../chunks/index.9f8f0838.js";import{C as pe}from"../chunks/CodeBlock.b3510e34.js";import{H as c}from"../chunks/Heading.6643a2f7.js";function ce(It){let C,K,X,tt,$,et,v,Yt=`就像在其他机器学习问题中一样，我们的模型最多只能表现得与我们用来训练它的数据一样好。
语音识别数据集在组织方式和覆盖的领域方面有很大的不同，我们需要查看它们提供的特征，选出最符合我们标准的数据集。`,lt,x,zt="所以在选择数据集之前，我们首先需要了解特征的定义。",nt,_,dt,w,at,b,St=`简单来说，训练小时数体现了数据集的大小，类似 NLP 数据集中的训练样例数量。然而，更大的数据集不一定更好。
如果我们想要一个泛化能力强的模型，就需要一个具有许多不同发言者、领域和发言风格的<strong>多样化</strong>数据集。`,it,M,st,T,Et=`领域（domain）包括数据的来源，比如有声读物、播客、YouTube 还是金融会议。每个领域的数据分布都不同，
例如有声读物在高质量的录音室条件下录制（没有背景噪音），并且文本取自书面文学。而对于 YouTube，音频可能包含更多背景噪音和更非正式的语音风格。`,ot,y,Dt="我们需要保证选择的领域与推理时的条件相匹配。例如，如果我们在有声读物上训练我们的模型，就不能期望它在嘈杂的环境中表现良好。",pt,H,ft,L,At="说话风格（speaking style）分为两类：",ht,j,Ft="<li>叙述性（Narrated）：按照给定的文本朗读</li> <li>自发性（Spontaneous）：没有固定剧本的对话</li>",mt,P,Wt="音频和文本数据反映了说话的风格。由于叙述文本是有剧本的，它表达得会比较清晰，没有任何错误：",ut,U,rt,k,Zt="而自发性言语使用更口语化的说话风格，包括重复、犹豫和错误：",Ct,B,gt,V,ct,J,qt=`转写风格指的是目标文本是否有标点、区分大小写等。如果我们希望系统生成可用于出版物或会议转写的完全格式化文本，我们需要带有标点和大小写的训练数据。
如果我们只需要未格式化结构的口头言语，那么标点和大小写都不是必需的。在这种情况下，我们可以选择一个没有标点或大小写的数据集，或者选择一个有标点和大小写的数据集，然后通过预处理从目标文本中去除它们。`,$t,G,vt,I,Nt="以下是 Hugging Face Hub 上最受欢迎的英语语音识别数据集，作为您根据自己的标准选择数据集的参考：",xt,Y,Rt='<thead><tr><th>数据集</th> <th>训练小时数</th> <th>领域</th> <th>说话风格</th> <th>大小写</th> <th>标点</th> <th>许可证</th> <th>推荐用途</th></tr></thead> <tbody><tr><td><a href="https://huggingface.co/datasets/librispeech_asr" rel="nofollow">LibriSpeech</a></td> <td>960</td> <td>有声读物</td> <td>叙述性</td> <td>❌</td> <td>❌</td> <td>CC-BY-4.0</td> <td>学术基准测试</td></tr> <tr><td><a href="https://huggingface.co/datasets/mozilla-foundation/common_voice_11_0" rel="nofollow">Common Voice 11</a></td> <td>3000</td> <td>维基百科</td> <td>叙述性</td> <td>✅</td> <td>✅</td> <td>CC0-1.0</td> <td>非母语发言者</td></tr> <tr><td><a href="https://huggingface.co/datasets/facebook/voxpopuli" rel="nofollow">VoxPopuli</a></td> <td>540</td> <td>欧洲议会</td> <td>演讲式</td> <td>❌</td> <td>✅</td> <td>CC0</td> <td>非母语发言者</td></tr> <tr><td><a href="https://huggingface.co/datasets/LIUM/tedlium" rel="nofollow">TED-LIUM</a></td> <td>450</td> <td>TED 演讲</td> <td>演讲式</td> <td>❌</td> <td>❌</td> <td>CC-BY-NC-ND 3.0</td> <td>技术主题</td></tr> <tr><td><a href="https://huggingface.co/datasets/speechcolab/gigaspeech" rel="nofollow">GigaSpeech</a></td> <td>10000</td> <td>有声读物、播客、YouTube</td> <td>叙述性、自发性</td> <td>❌</td> <td>✅</td> <td>apache-2.0</td> <td>多领域鲁棒性</td></tr> <tr><td><a href="https://huggingface.co/datasets/kensho/spgispeech" rel="nofollow">SPGISpeech</a></td> <td>5000</td> <td>金融会议</td> <td>演讲式、自发性</td> <td>✅</td> <td>✅</td> <td>User Agreement</td> <td>完全格式化的转写</td></tr> <tr><td><a href="https://huggingface.co/datasets/revdotcom/earnings22" rel="nofollow">Earnings-22</a></td> <td>119</td> <td>金融会议</td> <td>演讲式、自发性</td> <td>✅</td> <td>✅</td> <td>CC-BY-SA-4.0</td> <td>口音多样性</td></tr> <tr><td><a href="https://huggingface.co/datasets/edinburghcstr/ami" rel="nofollow">AMI</a></td> <td>100</td> <td>会议</td> <td>自发性</td> <td>✅</td> <td>✅</td> <td>CC-BY-4.0</td> <td>嘈杂语音环境</td></tr></tbody>',_t,z,Qt="以下是多语言语音识别数据集的表格，请注意，我们省略了训练小时数列（因为这取决于每个数据集有哪些语言，占比多少），改成了每个数据集的语言数量：",wt,S,Xt='<thead><tr><th>数据集</th> <th>语言数量</th> <th>领域</th> <th>说话风格</th> <th>大小写</th> <th>标点</th> <th>许可证</th> <th>推荐用途</th></tr></thead> <tbody><tr><td><a href="https://huggingface.co/datasets/facebook/multilingual_librispeech" rel="nofollow">Multilingual LibriSpeech</a></td> <td>6</td> <td>有声读物</td> <td>叙述性</td> <td>❌</td> <td>❌</td> <td>CC-BY-4.0</td> <td>学术基准测试</td></tr> <tr><td><a href="https://huggingface.co/datasets/mozilla-foundation/common_voice_13_0" rel="nofollow">Common Voice 13</a></td> <td>108</td> <td>维基百科文本和众筹的言语</td> <td>叙述性</td> <td>✅</td> <td>✅</td> <td>CC0-1.0</td> <td>多样化的发言者集合</td></tr> <tr><td><a href="https://huggingface.co/datasets/facebook/voxpopuli" rel="nofollow">VoxPopuli</a></td> <td>15</td> <td>欧洲议会</td> <td>自发性</td> <td>❌</td> <td>✅</td> <td>CC0</td> <td>欧洲语言</td></tr> <tr><td><a href="https://huggingface.co/datasets/google/fleurs" rel="nofollow">FLEURS</a></td> <td>101</td> <td>欧洲议会</td> <td>自发性</td> <td>❌</td> <td>❌</td> <td>CC-BY-4.0</td> <td>多语言评估</td></tr></tbody>',bt,E,Ot=`有关两个表中涵盖的音频数据集的详细分析，请参阅博文 <a href="https://huggingface.co/blog/audio-datasets#a-tour-of-audio-datasets-on-the-hub" rel="nofollow">音频数据集完全指南</a>。
虽然 Hub 上有超过 180 个语音识别数据集，但可能没有一个数据集符合您的需求。在这种情况下，也可以通过 🤗 Datasets 库来使用您自己的音频数据。要创建自定义音频数据集，请参考指南 <a href="https://huggingface.co/docs/datasets/audio_dataset" rel="nofollow">创建音频数据集</a>。
自定义音频数据集时，请考虑在 Hub 上分享最终构建出的数据集，以便社区中的其他人可以从您的成果中受益——音频社区包容且广大，您感谢其他人的贡献，其他人会像一样感谢您的贡献。`,Mt,D,Kt=`好了！既然我们已经了解了选择 ASR 数据集的所有标准，那么我们为这个教程选择一个吧。我们知道 Whisper 已经在高资源语言（如英语和西班牙语）上做得很好了，
所以我们将专注于低资源的多语言转写。我们想保留 Whisper 预测标点和大小写的能力，所以从第二张表来看，Common Voice 13 是一个很好的候选数据集！`,Tt,A,yt,F,te=`Common Voice 13 是一个众筹的数据集，发言者用不同语言朗读并录制维基百科的文本。它是由 Mozilla 基金会发布的一系列 Common Voice 数据集之一。
在撰写本文时，Common Voice 13 是最新版的数据集，拥有迄今为止任何版本中最多的语言和每种语言最多的小时数。`,Ht,W,ee=`我们可以通过查看 Hub 上的数据集页面来获取 Common Voice 13 数据集的全部语言列表：<a href="https://huggingface.co/datasets/mozilla-foundation/common_voice_13_0" rel="nofollow">mozilla-foundation/common_voice_13_0</a>。
您第一次查看此页面时会被要求接受使用条款，之后您将获得完全访问数据集的权限。`,Lt,Z,le=`一旦我们提交了使用数据集的认证信息，我们将看到数据集预览。数据集预览向我们展示了每种语言数据集的前 100 个样本。更重要的是，它已加载了可播放的音频样本。
对于这个单元，我们将选择 <a href="https://en.wikipedia.org/wiki/Maldivian_language" rel="nofollow"><em>Dhivehi</em></a>（或 <em>迪维希语</em>），一种在南亚岛国马尔代夫使用的印度-雅利安语。
虽然我们在本教程中只示范了迪维希语，但这里介绍的步骤适用于 Common Voice 13 数据集中 108 种语言的任何一种，以及 Hugging Face Hub 上 180 多个音频数据集的任何一个，没有语言或方言的限制。`,jt,q,ne="我们可以通过使用下拉菜单将子集设置为 <code>dv</code> 来选择 Common Voice 13 的 Dhivehi 子集（<code>dv</code> 是迪维希语的语言代码）：",Pt,g,de='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/cv_13_dv_selection.png" alt="从数据集预览中选择 Dhivehi 集"/>',Ut,N,ae=`如果我们点击第一个样本上的播放按钮，我们可以听到音频并查看相应的文本。浏览训练和测试集的样本，以更好地了解我们正在处理的音频和文本数据。
从语调和风格上可以看出，录音来自叙述性言语。您可能会注意到每条数据的发言者和录音质量的有很大不同，这是众筹数据的一个共同特征。`,kt,R,ie="数据集预览是在开始大规模使用之前感性认知音频数据集的绝佳方式。您可以选择 Hub 上的任何数据集，浏览样本并播放不同子集的音频，评估它是否适合您的需求。选择了一个数据集后，加载数据并开始使用就非常简单了。",Bt,Q,se="目前我个人不会说迪维希语，而且估计绝大多数读者也不会！为了知道我们微调后的模型是否有效，我们需要一种严格的方法来<strong>评估</strong>它对未见过的数据的转写准确性。我们将在下一节中详细介绍这一点！",Vt,O,Jt;return $=new c({props:{title:"选择数据集",local:"选择数据集",headingTag:"h1"}}),_=new c({props:{title:"语音数据集的特征",local:"语音数据集的特征",headingTag:"h2"}}),w=new c({props:{title:"1. 小时数",local:"1-小时数",headingTag:"h3"}}),M=new c({props:{title:"2. 领域",local:"2-领域",headingTag:"h3"}}),H=new c({props:{title:"3. 说话风格",local:"3-说话风格",headingTag:"h3"}}),U=new pe({props:{code:"JUUyJTgwJTlDQ29uc2lkZXIlMjB0aGUlMjB0YXNrJTIwb2YlMjB0cmFpbmluZyUyMGElMjBtb2RlbCUyMG9uJTIwYSUyMHNwZWVjaCUyMHJlY29nbml0aW9uJTIwZGF0YXNldCVFMiU4MCU5RA==",highlighted:'“Consider <span class="hljs-keyword">the</span> task <span class="hljs-keyword">of</span> training <span class="hljs-keyword">a</span> model <span class="hljs-keyword">on</span> <span class="hljs-title">a</span> <span class="hljs-title">speech</span> <span class="hljs-title">recognition</span> <span class="hljs-title">dataset</span>”',wrap:!1}}),B=new pe({props:{code:"JUUyJTgwJTlDTGV0J3MlMjB1aGglMjBsZXQncyUyMHRha2UlMjBhJTIwbG9vayUyMGF0JTIwaG93JTIweW91J2QlMjBnbyUyMGFib3V0JTIwdHJhaW5pbmclMjBhJTIwbW9kZWwlMjBvbiUyMHVobSUyMGElMjBzcC0lMjBzcGVlY2glMjByZWNvZ25pdGlvbiUyMGRhdGFzZXQlRTIlODAlOUQ=",highlighted:'“<span class="hljs-keyword">Let</span><span class="hljs-comment">&#x27;s uhh let&#x27;s take a look at how you&#x27;d go about training a model on uhm a sp- speech recognition dataset”</span>',wrap:!1}}),V=new c({props:{title:"4. 转写风格",local:"4-转写风格",headingTag:"h3"}}),G=new c({props:{title:"Hub 上数据集的汇总",local:"hub-上数据集的汇总",headingTag:"h2"}}),A=new c({props:{title:"Common Voice 13",local:"common-voice-13",headingTag:"h2"}}),{c(){C=i("meta"),K=d(),X=i("p"),tt=d(),p($.$$.fragment),et=d(),v=i("p"),v.textContent=Yt,lt=d(),x=i("p"),x.textContent=zt,nt=d(),p(_.$$.fragment),dt=d(),p(w.$$.fragment),at=d(),b=i("p"),b.innerHTML=St,it=d(),p(M.$$.fragment),st=d(),T=i("p"),T.textContent=Et,ot=d(),y=i("p"),y.textContent=Dt,pt=d(),p(H.$$.fragment),ft=d(),L=i("p"),L.textContent=At,ht=d(),j=i("ul"),j.innerHTML=Ft,mt=d(),P=i("p"),P.textContent=Wt,ut=d(),p(U.$$.fragment),rt=d(),k=i("p"),k.textContent=Zt,Ct=d(),p(B.$$.fragment),gt=d(),p(V.$$.fragment),ct=d(),J=i("p"),J.textContent=qt,$t=d(),p(G.$$.fragment),vt=d(),I=i("p"),I.textContent=Nt,xt=d(),Y=i("table"),Y.innerHTML=Rt,_t=d(),z=i("p"),z.textContent=Qt,wt=d(),S=i("table"),S.innerHTML=Xt,bt=d(),E=i("p"),E.innerHTML=Ot,Mt=d(),D=i("p"),D.textContent=Kt,Tt=d(),p(A.$$.fragment),yt=d(),F=i("p"),F.textContent=te,Ht=d(),W=i("p"),W.innerHTML=ee,Lt=d(),Z=i("p"),Z.innerHTML=le,jt=d(),q=i("p"),q.innerHTML=ne,Pt=d(),g=i("div"),g.innerHTML=de,Ut=d(),N=i("p"),N.textContent=ae,kt=d(),R=i("p"),R.textContent=ie,Bt=d(),Q=i("p"),Q.innerHTML=se,Vt=d(),O=i("p"),this.h()},l(t){const e=Ce("svelte-u9bgzb",document.head);C=s(e,"META",{name:!0,content:!0}),e.forEach(l),K=a(t),X=s(t,"P",{}),oe(X).forEach(l),tt=a(t),f($.$$.fragment,t),et=a(t),v=s(t,"P",{"data-svelte-h":!0}),o(v)!=="svelte-1h26w8s"&&(v.textContent=Yt),lt=a(t),x=s(t,"P",{"data-svelte-h":!0}),o(x)!=="svelte-1ebh22n"&&(x.textContent=zt),nt=a(t),f(_.$$.fragment,t),dt=a(t),f(w.$$.fragment,t),at=a(t),b=s(t,"P",{"data-svelte-h":!0}),o(b)!=="svelte-n0vzfo"&&(b.innerHTML=St),it=a(t),f(M.$$.fragment,t),st=a(t),T=s(t,"P",{"data-svelte-h":!0}),o(T)!=="svelte-rgpvyq"&&(T.textContent=Et),ot=a(t),y=s(t,"P",{"data-svelte-h":!0}),o(y)!=="svelte-rml00t"&&(y.textContent=Dt),pt=a(t),f(H.$$.fragment,t),ft=a(t),L=s(t,"P",{"data-svelte-h":!0}),o(L)!=="svelte-15a0n7w"&&(L.textContent=At),ht=a(t),j=s(t,"UL",{"data-svelte-h":!0}),o(j)!=="svelte-1iyzyed"&&(j.innerHTML=Ft),mt=a(t),P=s(t,"P",{"data-svelte-h":!0}),o(P)!=="svelte-11qo5uv"&&(P.textContent=Wt),ut=a(t),f(U.$$.fragment,t),rt=a(t),k=s(t,"P",{"data-svelte-h":!0}),o(k)!=="svelte-1djpnz9"&&(k.textContent=Zt),Ct=a(t),f(B.$$.fragment,t),gt=a(t),f(V.$$.fragment,t),ct=a(t),J=s(t,"P",{"data-svelte-h":!0}),o(J)!=="svelte-s68ixk"&&(J.textContent=qt),$t=a(t),f(G.$$.fragment,t),vt=a(t),I=s(t,"P",{"data-svelte-h":!0}),o(I)!=="svelte-fx9fqu"&&(I.textContent=Nt),xt=a(t),Y=s(t,"TABLE",{"data-svelte-h":!0}),o(Y)!=="svelte-16oif2l"&&(Y.innerHTML=Rt),_t=a(t),z=s(t,"P",{"data-svelte-h":!0}),o(z)!=="svelte-we3q66"&&(z.textContent=Qt),wt=a(t),S=s(t,"TABLE",{"data-svelte-h":!0}),o(S)!=="svelte-18br8ac"&&(S.innerHTML=Xt),bt=a(t),E=s(t,"P",{"data-svelte-h":!0}),o(E)!=="svelte-1cgtrqi"&&(E.innerHTML=Ot),Mt=a(t),D=s(t,"P",{"data-svelte-h":!0}),o(D)!=="svelte-5oo8nf"&&(D.textContent=Kt),Tt=a(t),f(A.$$.fragment,t),yt=a(t),F=s(t,"P",{"data-svelte-h":!0}),o(F)!=="svelte-94bnrz"&&(F.textContent=te),Ht=a(t),W=s(t,"P",{"data-svelte-h":!0}),o(W)!=="svelte-a3mcoj"&&(W.innerHTML=ee),Lt=a(t),Z=s(t,"P",{"data-svelte-h":!0}),o(Z)!=="svelte-qipy6a"&&(Z.innerHTML=le),jt=a(t),q=s(t,"P",{"data-svelte-h":!0}),o(q)!=="svelte-ijp8il"&&(q.innerHTML=ne),Pt=a(t),g=s(t,"DIV",{class:!0,"data-svelte-h":!0}),o(g)!=="svelte-nvj3zd"&&(g.innerHTML=de),Ut=a(t),N=s(t,"P",{"data-svelte-h":!0}),o(N)!=="svelte-1qeb6kv"&&(N.textContent=ae),kt=a(t),R=s(t,"P",{"data-svelte-h":!0}),o(R)!=="svelte-1efafdo"&&(R.textContent=ie),Bt=a(t),Q=s(t,"P",{"data-svelte-h":!0}),o(Q)!=="svelte-6hl32e"&&(Q.innerHTML=se),Vt=a(t),O=s(t,"P",{}),oe(O).forEach(l),this.h()},h(){Gt(C,"name","hf:doc:metadata"),Gt(C,"content",$e),Gt(g,"class","flex justify-center")},m(t,e){ge(document.head,C),n(t,K,e),n(t,X,e),n(t,tt,e),h($,t,e),n(t,et,e),n(t,v,e),n(t,lt,e),n(t,x,e),n(t,nt,e),h(_,t,e),n(t,dt,e),h(w,t,e),n(t,at,e),n(t,b,e),n(t,it,e),h(M,t,e),n(t,st,e),n(t,T,e),n(t,ot,e),n(t,y,e),n(t,pt,e),h(H,t,e),n(t,ft,e),n(t,L,e),n(t,ht,e),n(t,j,e),n(t,mt,e),n(t,P,e),n(t,ut,e),h(U,t,e),n(t,rt,e),n(t,k,e),n(t,Ct,e),h(B,t,e),n(t,gt,e),h(V,t,e),n(t,ct,e),n(t,J,e),n(t,$t,e),h(G,t,e),n(t,vt,e),n(t,I,e),n(t,xt,e),n(t,Y,e),n(t,_t,e),n(t,z,e),n(t,wt,e),n(t,S,e),n(t,bt,e),n(t,E,e),n(t,Mt,e),n(t,D,e),n(t,Tt,e),h(A,t,e),n(t,yt,e),n(t,F,e),n(t,Ht,e),n(t,W,e),n(t,Lt,e),n(t,Z,e),n(t,jt,e),n(t,q,e),n(t,Pt,e),n(t,g,e),n(t,Ut,e),n(t,N,e),n(t,kt,e),n(t,R,e),n(t,Bt,e),n(t,Q,e),n(t,Vt,e),n(t,O,e),Jt=!0},p:he,i(t){Jt||(m($.$$.fragment,t),m(_.$$.fragment,t),m(w.$$.fragment,t),m(M.$$.fragment,t),m(H.$$.fragment,t),m(U.$$.fragment,t),m(B.$$.fragment,t),m(V.$$.fragment,t),m(G.$$.fragment,t),m(A.$$.fragment,t),Jt=!0)},o(t){u($.$$.fragment,t),u(_.$$.fragment,t),u(w.$$.fragment,t),u(M.$$.fragment,t),u(H.$$.fragment,t),u(U.$$.fragment,t),u(B.$$.fragment,t),u(V.$$.fragment,t),u(G.$$.fragment,t),u(A.$$.fragment,t),Jt=!1},d(t){t&&(l(K),l(X),l(tt),l(et),l(v),l(lt),l(x),l(nt),l(dt),l(at),l(b),l(it),l(st),l(T),l(ot),l(y),l(pt),l(ft),l(L),l(ht),l(j),l(mt),l(P),l(ut),l(rt),l(k),l(Ct),l(gt),l(ct),l(J),l($t),l(vt),l(I),l(xt),l(Y),l(_t),l(z),l(wt),l(S),l(bt),l(E),l(Mt),l(D),l(Tt),l(yt),l(F),l(Ht),l(W),l(Lt),l(Z),l(jt),l(q),l(Pt),l(g),l(Ut),l(N),l(kt),l(R),l(Bt),l(Q),l(Vt),l(O)),l(C),r($,t),r(_,t),r(w,t),r(M,t),r(H,t),r(U,t),r(B,t),r(V,t),r(G,t),r(A,t)}}}const $e='{"title":"选择数据集","local":"选择数据集","sections":[{"title":"语音数据集的特征","local":"语音数据集的特征","sections":[{"title":"1. 小时数","local":"1-小时数","sections":[],"depth":3},{"title":"2. 领域","local":"2-领域","sections":[],"depth":3},{"title":"3. 说话风格","local":"3-说话风格","sections":[],"depth":3},{"title":"4. 转写风格","local":"4-转写风格","sections":[],"depth":3}],"depth":2},{"title":"Hub 上数据集的汇总","local":"hub-上数据集的汇总","sections":[],"depth":2},{"title":"Common Voice 13","local":"common-voice-13","sections":[],"depth":2}],"depth":1}';function ve(It){return me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Me extends ue{constructor(C){super(),re(this,C,ve,ce,fe,{})}}export{Me as component};
